Bug 182203 - news/pan will not compile on 10.0-ALPHA1
Summary: news/pan will not compile on 10.0-ALPHA1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on: 199303
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 14:30 UTC by Walter Hurry
Modified: 2017-01-08 23:41 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Walter Hurry 2013-09-18 14:30:00 UTC
news/pan will not compile. I get the following:

  CXX    log.o
In file included from log.cc:24:
In file included from ./log.h:26:
/usr/include/c++/v1/deque:907:49: error: invalid application of 'sizeof' to an
      incomplete type 'value_type' (aka 'pan::Log::Entry')
    static const difference_type __block_size = sizeof(value_type) < 256 ? 4...
                                                ^~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/deque:1178:15: note: in instantiation of template class
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >' requested here
    : private __deque_base<_Tp, _Allocator>
              ^
./log.h:52:27: note: in instantiation of template class
      'std::__1::deque<pan::Log::Entry, std::__1::allocator<pan::Log::Entry> >'
      requested here
        std::deque<Entry> messages;
                          ^
./log.h:49:14: note: definition of 'pan::Log::Entry' is not complete until the
      closing '}'
      struct Entry {
             ^
In file included from log.cc:24:
In file included from ./log.h:26:
/usr/include/c++/v1/deque:1188:30: error: '__alloc_traits' is a protected member
      of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::__alloc_traits        __alloc_traits;
                             ^
./log.h:52:27: note: in instantiation of template class
      'std::__1::deque<pan::Log::Entry, std::__1::allocator<pan::Log::Entry> >'
      requested here
        std::deque<Entry> messages;
                          ^
/usr/include/c++/v1/deque:899:54: note: declared protected here
    typedef allocator_traits<allocator_type>         __alloc_traits;
                                                     ^
/usr/include/c++/v1/deque:1189:30: error: 'reference' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::reference             reference;
                             ^
/usr/include/c++/v1/deque:900:54: note: declared protected here
    typedef value_type&                              reference;
                                                     ^
/usr/include/c++/v1/deque:1190:30: error: 'const_reference' is a protected
      member of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::const_reference       const_reference;
                             ^
/usr/include/c++/v1/deque:901:54: note: declared protected here
    typedef const value_type&                        const_reference;
                                                     ^
/usr/include/c++/v1/deque:1191:30: error: 'iterator' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::iterator              iterator;
                             ^
/usr/include/c++/v1/deque:929:64: note: declared protected here
                             difference_type, __block_size>    iterator;
                                                               ^
/usr/include/c++/v1/deque:1192:30: error: 'const_iterator' is a protected member
      of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::const_iterator        const_iterator;
                             ^
/usr/include/c++/v1/deque:931:64: note: declared protected here
                             difference_type, __block_size>    const_iterator;
                                                               ^
/usr/include/c++/v1/deque:1193:30: error: 'size_type' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::size_type             size_type;
                             ^
/usr/include/c++/v1/deque:902:54: note: declared protected here
    typedef typename __alloc_traits::size_type       size_type;
                                                     ^
/usr/include/c++/v1/deque:1194:30: error: 'difference_type' is a protected
      member of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::difference_type       difference_type;
                             ^
/usr/include/c++/v1/deque:903:54: note: declared protected here
    typedef typename __alloc_traits::difference_type difference_type;
                                                     ^
/usr/include/c++/v1/deque:1196:30: error: 'pointer' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::pointer               pointer;
                             ^
/usr/include/c++/v1/deque:904:54: note: declared protected here
    typedef typename __alloc_traits::pointer         pointer;
                                                     ^
/usr/include/c++/v1/deque:1197:30: error: 'const_pointer' is a protected member
      of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::const_pointer         const_pointer;
                             ^
/usr/include/c++/v1/deque:905:54: note: declared protected here
    typedef typename __alloc_traits::const_pointer   const_pointer;
                                                     ^
/usr/include/c++/v1/deque:1351:30: error: '__map_const_pointer' is a protected
      member of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::__map_const_pointer __map_const_pointer;
                             ^
/usr/include/c++/v1/deque:925:81: note: declared protected here
  ...typename allocator_traits<__const_pointer_allocator>::const_pointer __ma...
                                                                         ^
In file included from file-util.cc:38:
In file included from ./log.h:26:
/usr/include/c++/v1/deque:907:49: error: invalid application of 'sizeof' to an
      incomplete type 'value_type' (aka 'pan::Log::Entry')
    static const difference_type __block_size = sizeof(value_type) < 256 ? 4...
                                                ^~~~~~~~~~~~~~~~~~
/usr/include/c++/v1/deque:1178:15: note: in instantiation of template class
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >' requested here
    : private __deque_base<_Tp, _Allocator>
              ^
./log.h:52:27: note: in instantiation of template class
      'std::__1::deque<pan::Log::Entry, std::__1::allocator<pan::Log::Entry> >'
      requested here
        std::deque<Entry> messages;
                          ^
./log.h:49:14: note: definition of 'pan::Log::Entry' is not complete until the
      closing '}'
      struct Entry {
             ^
In file included from file-util.cc:38:
In file included from ./log.h:26:
/usr/include/c++/v1/deque:1188:30: error: '__alloc_traits' is a protected member
      of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::__alloc_traits        __alloc_traits;
                             ^
./log.h:52:27: note: in instantiation of template class
      'std::__1::deque<pan::Log::Entry, std::__1::allocator<pan::Log::Entry> >'
      requested here
        std::deque<Entry> messages;
                          ^
/usr/include/c++/v1/deque:899:54: note: declared protected here
11 errors generated.
    typedef allocator_traits<allocator_type>         __alloc_traits;
                                                     ^
/usr/include/c++/v1/deque:1189:30: error: 'reference' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::reference             reference;
                             ^
/usr/include/c++/v1/deque:900:54: note: declared protected here
    typedef value_type&                              reference;
                                                     ^
/usr/include/c++/v1/deque:1190:30: error: 'const_reference' is a protected
      member of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::const_reference       const_reference;
                             ^
/usr/include/c++/v1/deque:901:54: note: declared protected here
    typedef const value_type&                        const_reference;
                                                     ^
/usr/include/c++/v1/deque:1191:30: error: 'iterator' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::iterator              iterator;
                             ^
/usr/include/c++/v1/deque:929:64: note: declared protected here
                             difference_type, __block_size>    iterator;
                                                               ^
/usr/include/c++/v1/deque:1192:30: error: 'const_iterator' is a protected member
      of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::const_iterator        const_iterator;
                             ^
/usr/include/c++/v1/deque:931:64: note: declared protected here
                             difference_type, __block_size>    const_iterator;
gmake[5]: *** [log.o] Error 1
gmake[5]:                                                                ^
*** Waiting for unfinished jobs....
/usr/include/c++/v1/deque:1193:30: error: 'size_type' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::size_type             size_type;
                             ^
/usr/include/c++/v1/deque:902:54: note: declared protected here
    typedef typename __alloc_traits::size_type       size_type;
                                                     ^
/usr/include/c++/v1/deque:1194:30: error: 'difference_type' is a protected
      member of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::difference_type       difference_type;
                             ^
/usr/include/c++/v1/deque:903:54: note: declared protected here
    typedef typename __alloc_traits::difference_type difference_type;
                                                     ^
/usr/include/c++/v1/deque:1196:30: error: 'pointer' is a protected member of
      'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::pointer               pointer;
                             ^
/usr/include/c++/v1/deque:904:54: note: declared protected here
    typedef typename __alloc_traits::pointer         pointer;
                                                     ^
/usr/include/c++/v1/deque:1197:30: error: 'const_pointer' is a protected member
      of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::const_pointer         const_pointer;
                             ^
/usr/include/c++/v1/deque:905:54: note: declared protected here
    typedef typename __alloc_traits::const_pointer   const_pointer;
                                                     ^
/usr/include/c++/v1/deque:1351:30: error: '__map_const_pointer' is a protected
      member of 'std::__1::__deque_base<pan::Log::Entry,
      std::__1::allocator<pan::Log::Entry> >'
    typedef typename __base::__map_const_pointer __map_const_pointer;
                             ^
/usr/include/c++/v1/deque:925:81: note: declared protected here
  ...typename allocator_traits<__const_pointer_allocator>::const_pointer __ma...
                                                                         ^

How-To-Repeat: Try to compile news/pan on 10.0-ALPHA1
Comment 1 Edwin Groothuis freebsd_committer 2013-09-18 14:30:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gnome

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 marcinkk 2014-02-11 08:15:51 UTC
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>Re: ports/182203: news/pan will not compile on 10.0-ALPH=
A1</title>
<META http-equiv=3DContent-Type content=3D"text/html; charset=3Dwindows-125=
0">
<meta http-equiv=3D"Content-Style-Type" content=3D"text/css">
<style type=3D"text/css"><!--
body {
  margin: 5px 5px 5px 5px;
  background-color: #ffffff;
}
/* =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D Text Styles =3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D */
hr { color: #000000}
body, table /* Normal text */
{
 font-size: 9pt;
 font-family: 'Courier New';
 font-style: normal;
 font-weight: normal;
 color: #000000;
 text-decoration: none;
}
span.rvts1 /* Heading */
{
 font-size: 10pt;
 font-family: 'Arial';
 font-weight: bold;
 color: #0000ff;
}
span.rvts2 /* Subheading */
{
 font-size: 10pt;
 font-family: 'Arial';
 font-weight: bold;
 color: #000080;
}
span.rvts3 /* Keywords */
{
 font-size: 10pt;
 font-family: 'Arial';
 font-style: italic;
 color: #800000;
}
a.rvts4, span.rvts4 /* Jump 1 */
{
 font-size: 10pt;
 font-family: 'Arial';
 color: #008000;
 text-decoration: underline;
}
a.rvts5, span.rvts5 /* Jump 2 */
{
 font-size: 10pt;
 font-family: 'Arial';
 color: #008000;
 text-decoration: underline;
}
span.rvts6
{
 font-size: 8pt;
 font-family: 'arial';
 font-style: italic;
 color: #c0c0c0;
}
/* =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D Para Styles =3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D */
p,ul,ol /* Paragraph Style */
{
 text-align: left;
 text-indent: 0px;
 padding: 0px 0px 0px 0px;
 margin: 0px 0px 0px 0px;
}
.rvps1 /* Centered */
{
 text-align: center;
}
--></style>
</head>
<body>

<p>Hello,</p>
<p><br></p>
<p>Fix?</p>
<p><br></p>
<p>Use newer GCC. For example put something like the port's Makefile:</p>
<p><br></p>
<p>CC=3Dgcc46</p>
<p>CXX=3Dg++46</p>
<p>CPP=3Dcpp46</p>
<p><br></p>
<p><span class=3Drvts6>--&nbsp;</span></p>
<p><span class=3Drvts6>Regards,</span></p>
<p><span class=3Drvts6>&nbsp;Marcin Kucharczyk</span></p>
<p><br></p>

</body></html>
Comment 3 marcinkk 2014-02-11 09:37:21 UTC
Hello,

Fix?

Use newer GCC. For example put something like the port's Makefile:

CC=3Dgcc46
CXX=3Dg++46
CPP=3Dcpp46

--=20
Regards,
 Marcin Kucharczyk

PS. Sorry for previous maili in HTML format.
Comment 4 sirdice 2014-04-11 13:29:55 UTC
Still doesn't build on 10.0-RELEASE and 10.0-STABLE.

Adding USE_GCC= +4.2 will get the port to build but the resulting binaries
crash with a segfault.
Comment 5 dfilter service freebsd_committer 2014-04-11 14:51:32 UTC
Author: kwm
Date: Fri Apr 11 13:51:28 2014
New Revision: 350951
URL: http://svnweb.freebsd.org/changeset/ports/350951
QAT: https://qat.redports.org/buildarchive/r350951/

Log:
  Stagify
  USES=gmake tar:bzip2 and sort USES
  Use new LIB_DEPENDS syntax.
  Add USE_GCC=any to fix the build on 10.0+. [1]
  
  PR:		ports/182203 [1]
  Submitted by:	Walter Hurry <walterhurry@gmail.com>

Modified:
  head/news/pan/Makefile

Modified: head/news/pan/Makefile
==============================================================================
--- head/news/pan/Makefile	Fri Apr 11 13:47:56 2014	(r350950)
+++ head/news/pan/Makefile	Fri Apr 11 13:51:28 2014	(r350951)
@@ -14,13 +14,12 @@ COMMENT=	Threaded GTK+ newsreader based 
 
 LICENSE=	GPLv2
 
-LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre \
-		gmime-2.6:${PORTSDIR}/mail/gmime26
+LIB_DEPENDS=	libpcre.so:${PORTSDIR}/devel/pcre \
+		libgmime-2.6.so:${PORTSDIR}/mail/gmime26
 
-USE_BZIP2=	yes
-USE_GMAKE=	yes
-USES=		pathfix gettext iconv pkgconfig
+USES=		gmake gettext iconv pathfix pkgconfig tar:bzip2
 USE_GNOME=	intlhack
+USE_GCC=	any
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib -lgnuregex ${ICONV_LIB}
@@ -30,7 +29,6 @@ OPTIONS_DEFAULT=GTKSPELL
 GTKSPELL_DESC=	Spell checking support (gtk+2 only)
 GTK3_DESC=	Use gtk+3 based UI instead of gtk+2
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MGTK3}
@@ -44,7 +42,7 @@ CONFIGURE_ARGS+=--without-gtk3
 .if !${PORT_OPTIONS:MGTKSPELL} || ${PORT_OPTIONS:MGTK3}
 CONFIGURE_ARGS+=	--without-gtkspell
 .else
-LIB_DEPENDS+=		gtkspell:${PORTSDIR}/textproc/gtkspell
+LIB_DEPENDS+=		libgtkspell.so:${PORTSDIR}/textproc/gtkspell
 CONFIGURE_ARGS+=	--with-gtkspell
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Koop Mast freebsd_committer 2014-04-11 14:51:50 UTC
State Changed
From-To: open->closed

Committed a fix.
Comment 7 rwmaillists 2014-11-05 21:31:53 UTC
This really isn't fixed. Switching to gcc allows pan to build, but it doesn't run, it still fails with a segmentation fault as mentioned above.